For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceFDX APIChangelog
GuidesAPI ReferenceFDX APIChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Donor Accounts
  • Disbursements
  • Gift Processing
      • GETList Payment Sources
      • GETGet a Payment Source
LogoLogo
Contact usLogin
Gift ProcessingPayment Sources

Get a Payment Source

GET
/v1/payment_sources/:id
GET
/v1/payment_sources/:id
$curl https://api.givechariot.com/v1/payment_sources/payment_source_01j8rs605a4gctmbm58d87mvsj \
> -H "Authorization: Bearer <token>"
1{
2 "id": "payment_source_01j8rs605a4gctmbm58d87mvsj",
3 "financial_account_id": "fa_01j8rs605a4gctmbm58d87mvsj",
4 "name": "Main Payment Source",
5 "source_type": "portal",
6 "financial_address": {
7 "ach": {
8 "account_number": "987654321",
9 "routing_number": "101050001"
10 }
11 },
12 "lockbox": {
13 "address": {
14 "city": "New York",
15 "country": "US",
16 "line1": "123 Main St.",
17 "postal_code": "12345",
18 "state": "NY",
19 "line2": "Suite 2504"
20 }
21 },
22 "created_at": "2020-01-31T23:59:59Z",
23 "updated_at": "2020-01-31T23:59:59Z"
24}
Get a payment source by its unique identifier. A Payment Source represents a segregated address for incoming deposits. In practice, this can be separate electronic bank addresses (account + routing numbers) or physical mailing addresses (lockboxes). Payment Sources make it easy to independently manage and consolidate incoming payments and donations from different sources which in turn makes reconciliation of money and data seamless. Every Payment Source belongs to a specific Financial Account and can be thought of as a gateway/door for money to flow into the Financial Account. Payment Sources are not separately ledgered which means you can't get the balance of a Payment Source separately from the Financial Account. Payment Sources should be setup and managed through the Chariot Dashboard.
Was this page helpful?
Previous

List Donations

Next
Built with

Get a payment source by its unique identifier.

A Payment Source represents a segregated address for incoming deposits. In practice, this can be separate electronic bank addresses (account + routing numbers) or physical mailing addresses (lockboxes). Payment Sources make it easy to independently manage and consolidate incoming payments and donations from different sources which in turn makes reconciliation of money and data seamless. Every Payment Source belongs to a specific Financial Account and can be thought of as a gateway/door for money to flow into the Financial Account. Payment Sources are not separately ledgered which means you can’t get the balance of a Payment Source separately from the Financial Account.

Payment Sources should be setup and managed through the Chariot Dashboard.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique identifier for the payment source

Response

Successfully retrieved the payment source.
idstringRead-only
The unique identifier for the payment source
financial_account_idstring
The unique identifier for the financial account that the payment source belongs to
namestring
The name of the payment source
source_typeenum
The type of the payment source
Allowed values:
financial_addressobject

A subhash containing information about the electronic bank address payment rail details. This is only available for manual and connected_account payment sources.

lockboxobject
A US mailing address to process incoming physical mail and checks. This is only available for lockbox payment sources.
created_atstringRead-onlyformat: "date-time"
The date and time when the payment source was created
updated_atstringRead-onlyformat: "date-time"
The date and time when the payment source was last updated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error